<template>
  <slot />
</template>

<script setup lang="ts">
import { provide } from 'vue'

interface Props {
  isColumnVisible: (propOrLabel: string) => boolean
}

const props = defineProps<Props>()

// 提供 isColumnVisible 函数给子组件
provide('isColumnVisible', props.isColumnVisible)
</script>

